# Uses of Class
org.apache.qpid.proton.amqp.messaging.Properties

Packages that use Properties
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of Properties in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type Properties
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Properties in org.apache.qpid.proton.amqp.messaging

Constructors in org.apache.qpid.proton.amqp.messaging with parameters of type Properties
Modifier
Constructor
Description
``
`Properties(Properties other)`

## Uses of Properties in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Properties
Modifier and Type
Method
Description
`Properties`
PropertiesType.`newInstance(Object described)`
`Properties`
FastPathPropertiesType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type Properties
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Properties>>`
FastPathPropertiesType.`getAllEncodings()`
`TypeEncoding<Properties>`
FastPathPropertiesType.`getCanonicalEncoding()`
`TypeEncoding<Properties>`
FastPathPropertiesType.`getEncoding(Properties properties)`
`Class<Properties>`
FastPathPropertiesType.`getTypeClass()`
`Class<Properties>`
PropertiesType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type Properties
Modifier and Type
Method
Description
`TypeEncoding<Properties>`
FastPathPropertiesType.`getEncoding(Properties properties)`
`protected List`
PropertiesType.`wrap(Properties val)`
`void`
FastPathPropertiesType.`write(Properties value)`

## Uses of Properties in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return Properties
Modifier and Type
Method
Description
`Properties`
Message.`getProperties()`
Methods in org.apache.qpid.proton.message with parameters of type Properties
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setProperties(Properties properties)`

## Uses of Properties in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return Properties
Modifier and Type
Method
Description
`Properties`
MessageImpl.`getProperties()`
Methods in org.apache.qpid.proton.message.impl with parameters of type Properties
Modifier and Type
Method
Description
`void`
MessageImpl.`setProperties(Properties properties)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type Properties
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`